Scriptname _SP_LazuliteShurikenBlowbackScript extends activemagiceffect  

Int Property PushForce Auto
Float Property HitArmorRatingCap Auto
Float Property HitInterval Auto
Spell property SelfDamageSpell Auto
float ArmorStore

Event OnEffectStart(actor Target, actor Caster)
	if(Target.IsFlying() || Target.GetAnimationVariableBool("bInJumpState"))
		Caster.PushActorAway(Target, PushForce)
	else
		ArmorStore = Target.GetActorValue("DamageResist")
		if ArmorStore < 1
			ArmorStore = 1
		endif
		;Target.SetAnimationVariableBool("StaggerDirection", 0.000000)
		;Target.SetAnimationVariableBool("StaggerMagnitude", 1.000000)
		while(ArmorStore < HitArmorRatingCap)
			debug.sendanimationevent(Target, "StaggerStop")
			debug.sendanimationevent(Target, "StaggerStart")
			SelfDamageSpell.RemoteCast(Target, Caster)
			ArmorStore = ArmorStore + HitInterval
			Utility.Wait(0.2)
		endwhile
	endif
EndEvent

